#ifndef _CEGOMODULE_H_INCLUDED_
#define _CEGOMODULE_H_INCLUDED_
///////////////////////////////////////////////////////////////////////////////
//                                                         
// CegoModule.h
// -------------
// Cego module information
//
// Design and Implementation by Bjoern Lemke
//
// (C)opyright 2000-2013 Bjoern Lemke
//
// INTERFACE MODULE
//
// Class: CegoModule
// 
// Description: 
//
// Status: QG-2.6
//
///////////////////////////////////////////////////////////////////////////////

// base includes
#include <lfcbase/Logger.h>
#include <lfcbase/Chain.h>

extern const char *CEGO_MODULE_MAP[];

class CegoModule : public Logger {
    
 public:

    CegoModule();
    CegoModule(const Chain& logFile);
    ~CegoModule();

    int getModId(const Chain& module);
    Chain getModName(int id);
    
    int getMapSize();

private:
    

};


#endif
